package com.landaiqing.entity;

public class AdminUserEntity {

    /**
     *CREATE TABLE `admin-user` (
     *   `adminId` int NOT NULL AUTO_INCREMENT COMMENT 'ID',
     *   `adminUserName` varchar(25) NOT NULL COMMENT '管理员账号',
     *   `adminPassword` varchar(255) DEFAULT NULL COMMENT '管理员密码',
     *   PRIMARY KEY (`adminId`) USING BTREE
     * ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
     */


    private Integer adminId;
    private String adminUserName;
    private String adminPassword;
    private Integer isValid;


    public AdminUserEntity(String adminUserName, String adminPassword) {
        this.adminUserName = adminUserName;
        this.adminPassword = adminPassword;
    }
    public AdminUserEntity(){

    }

    public Integer getAdminId() {
        return adminId;
    }

    public void setAdminId(Integer adminId) {
        this.adminId = adminId;
    }

    public String getAdminUserName() {
        return adminUserName;
    }

    public void setAdminUserName(String adminUserName) {
        this.adminUserName = adminUserName;
    }

    public String getAdminPassword() {
        return adminPassword;
    }

    public void setAdminPassword(String adminPassword) {
        this.adminPassword = adminPassword;
    }

    public Integer getIsValid() {
        return isValid;
    }

    public void setIsValid(Integer isValid) {
        this.isValid = isValid;
    }

    public AdminUserEntity(Integer adminId, String adminUserName, String adminPassword, Integer isValid) {
        this.adminId = adminId;
        this.adminUserName = adminUserName;
        this.adminPassword = adminPassword;
        this.isValid = isValid;
    }

//    @Override
//    public String toString() {
//        return "AdminUserEntity{" +
//                "adminId=" + adminId +
//                ", adminUserName='" + adminUserName + '\'' +
//                ", adminPassword='" + adminPassword + '\'' +
//                ", isValid=" + isValid +
//                '}';
//    }
}
